summaryrefslogtreecommitdiff
path: root/source3/script/tests/tests_all.sh
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2006-03-23 14:55:38 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 11:15:43 -0500
commitaa583e5912866069f1f79e0b675e9e7927c64fbe (patch)
treef10a321c5f09425981e63f08e9f55cfbc0489ce4 /source3/script/tests/tests_all.sh
parent8d75615bf11a89e8171e70567e698323e71bc428 (diff)
downloadsamba-aa583e5912866069f1f79e0b675e9e7927c64fbe.tar.gz
samba-aa583e5912866069f1f79e0b675e9e7927c64fbe.tar.bz2
samba-aa583e5912866069f1f79e0b675e9e7927c64fbe.zip
r14678: - we need to use 127.0.0.2/8 as interface for the server
as nmbd skip interfaces with address 127.0.0.1 - add samba3 smbclient -L tests - add samba3 smbtorture tests metze (This used to be commit 835f8f4339f41619ec890e38569b745c5ef5d44e)
Diffstat (limited to 'source3/script/tests/tests_all.sh')
-rwxr-xr-xsource3/script/tests/tests_all.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/source3/script/tests/tests_all.sh b/source3/script/tests/tests_all.sh
index 6f7a0c3d2d..64a7065ee9 100755
--- a/source3/script/tests/tests_all.sh
+++ b/source3/script/tests/tests_all.sh
@@ -1,8 +1,11 @@
+$SCRIPTDIR/test_smbtorture_s3.sh //$SERVER_IP/tmp $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
+$SCRIPTDIR/test_smbclient_s3.sh $SERVER $SERVER_IP || failed=`expr $failed + $?`
+
if [ -n "$SMBTORTURE4" ];then
echo "Running Tests with Samba4's smbtorture"
$SMBTORTURE4 --version
- $SCRIPTDIR/test_posix_s3.sh //$SERVER/tmp $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
+ $SCRIPTDIR/test_posix_s3.sh //$SERVER_IP/tmp $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
else
echo "Skip Tests with Samba4's smbtorture"
fi